Ludia Forums

[News] Warriors of Waterdeep - End of Support for Android 5.0 and Below

Attention Adventurers,

Please be informed that we are increasing our minimum supported Android OS version to 5.1 and will cease support for older Android devices (5.0 and below) effective immediately.

While we continue to focus on optimizing and developing new features for the game, we highly encourage all our players to update their operating system or log into their game on a supported device so they can continue playing Warriors of Waterdeep.

Please note that players who currently have an Android device running 5.0 or below can contact our support staff at support+dnd@ludia.com with their Support Key to transfer their Guest accounts to a supported device. Our support team will be there to assist you in any way they can!

Thank you,

The Warriors of Waterdeep Team